package com.mints.goodmoney.mvp.views

import com.mints.goodmoney.mvp.model.BannerBean
import com.mints.goodmoney.mvp.model.MyInfo
import com.mints.goodmoney.mvp.model.SignCardBean
import com.mints.goodmoney.mvp.model.UserTaskMsgBean


interface MyView : BaseView {
    /**
     * 获取用户配置信息成功
     */
    fun getUserTaskMsgSuc(data: MyInfo?)

    /**
     * 获取用户配置信息失败
     */
    fun getUserTaskMsgFail()

    fun getMyHotActivitySuc(data: BannerBean?)

    /**
     * 获取签到信息成功
     */
    fun getSignInHomePageMsgSuc(signBean: SignCardBean?)

    /**
     * 签到成功
     */
    fun signInHomePageSuc()

    /**
     * 游客登录成功
     */
    fun userLoginSuc()

    fun getHallBaseMsgSuc(data: UserTaskMsgBean)
}
